#!/bin/bash


#########################
# MAIN CODE STARTS HERE #
#########################
var=$1

#login on storage cluster


# configuration
echo "---- Start Timestamp: `date` ----" > profile_$1_as5300g5.txt
echo "<<< Configuration Information >>>" >> profile_$1_as5300g5.txt
echo "" >> profile_$1_as5300g5.txt
echo "1.System Info" >> profile_$1_as5300g5.txt
echo "2.Controller Info" >> profile_$1_as5300g5.txt
echo "3.Frontend/Backend Connection" >> profile_$1_as5300g5.txt
echo "4.Pool Info" >> profile_$1_as5300g5.txt
echo "5.Disk Info" >> profile_$1_as5300g5.txt
echo "6.RAID Info" >> profile_$1_as5300g5.txt
echo "7.LUN Info" >> profile_$1_as5300g5.txt
echo "8.Enclosure Info" >> profile_$1_as5300g5.txt

# 1.system info
echo "" >> profile_$1_as5300g5.txt
echo "*********************************************" >> profile_$1_as5300g5.txt
echo "********* 1.System Info *********" >> profile_$1_as5300g5.txt
echo "*********************************************" >> profile_$1_as5300g5.txt
echo "" >> profile_$1_as5300g5.txt
echo "-----------  Product Info ---------------" >> profile_$1_as5300g5.txt
RunSsh  lssystem >> profile_$1_as5300g5.txt

# 2.controller firmware
echo "" >> profile_$1_as5300g5.txt
echo "*********************************************" >> profile_$1_as5300g5.txt
echo "********* 2.Controller Info *********" >> profile_$1_as5300g5.txt
echo "*********************************************" >> profile_$1_as5300g5.txt
echo "" >> profile_$1_as5300g5.txt


echo "----------- Controller Firmware ---------------" >> profile_$1_as5300g5.txt
RunSsh "lsenclosurecanister |grep node" >> profile_$1_as5300g5.txt
enclosurecanister=`RunSsh lsenclosurecanister |grep node|grep online| cut -d ' ' -f 1 | uniq`
for enclosure_id in $enclosurecanister;
do
        echo "--------------"  >> profile_$1_as5300g5.txt
        echo lsenclosurecanister -canister 1 $enclosure_id
        RunSsh "lsenclosurecanister -canister 1 $enclosure_id" >> profile_$1_as5300g5.txt
		echo "--------------"  >> profile_$1_as5300g5.txt
		echo lsenclosurecanister -canister 2 $enclosure_id
        RunSsh "lsenclosurecanister -canister 2 $enclosure_id" >> profile_$1_as5300g5.txt
done
echo "" >> profile_$1_as5300g5.txt

echo "----------- Cache Info --------" >> profile_$1_as5300g5.txt
panel_name=`RunSsh "mtinq lsservicenodes" |grep node|grep Active| cut -d ' ' -f 1` 
for panel_name_id in $panel_name;
do
        echo "--------------"  >> profile_$1_as5300g5.txt
        echo  "mtinq lshardware  $panel_name_id |grep memory"
        RunSsh "mtinq lshardware  $panel_name_id |grep memory" >> profile_$1_as5300g5.txt
done
echo "" >> profile_$1_as5300g5.txt

echo "----------- Battery Info --------" >> profile_$1_as5300g5.txt
RunSsh lsenclosurebattery  >> profile_$1_as5300g5.txt

# 3.Frontend/Backend Connection
echo "" >> profile_$1_as5300g5.txt
echo "*********************************************" >> profile_$1_as5300g5.txt
echo "********* 3.Frontend/Backend Connection *****" >> profile_$1_as5300g5.txt
echo "*********************************************" >> profile_$1_as5300g5.txt
echo "" >> profile_$1_as5300g5.txt

echo "--------- Backend Connection ---------" >> profile_$1_as5300g5.txt
echo "" >> profile_$1_as5300g5.txt

panel_name=`RunSsh "mtinq lsservicenodes" |grep node|grep Active| cut -d ' ' -f 1`
for panel_name_id in $panel_name;
do
        echo "--------------"  >>  profile_$1_as5300g5.txt
        echo  "mtinq lshardware  $panel_name_id |grep adapter"
        RunSsh "mtinq lshardware  $panel_name_id |grep adapter" >>  profile_$1_as5300g5.txt
done



# 4.Pool Info
echo "" >> profile_$1_as5300g5.txt
echo "*********************************************" >> profile_$1_as5300g5.txt
echo "********* 4.Pool Info *********" >> profile_$1_as5300g5.txt
echo "*********************************************" >> profile_$1_as5300g5.txt
echo "" >> profile_$1_as5300g5.txt

mdiskgrp=`RunSsh lsmdiskgrp |grep online |cut -d ' ' -f 1`
for mdiskgrpId in $mdiskgrp;
do
        echo "--------------" >>  profile_$1_as5300g5.txt
        echo lsmdiskgrp $mdiskgrpId
        RunSsh "lsmdisk $mdiskgrpId" >>  profile_$1_as5300g5.txt
done
echo "" >> profile_$1_as5300g5.txt

# 5.disk Info

echo "" >> profile_$1_as5300g5.txt
echo "*********************************************" >> profile_$1_as5300g5.txt
echo "********* 5.Disk Info *********" >> profile_$1_as5300g5.txt
echo "*********************************************" >> profile_$1_as5300g5.txt
echo "" >> profile_$1_as5300g5.txt

echo "--------- Disk List ---------" >> profile_$1_as5300g5.txt
RunSsh lsdrive  >> profile_$1_as5300g5.txt
echo "" >> profile_$1_as5300g5.txt

echo "--------- Disk Details ---------" >> profile_$1_as5300g5.txt
drive=`RunSsh lsdrive |grep member|grep online| cut -d ' ' -f 1`
for driveId in $drive;
do
        echo "--------------" >>  profile_$1_as5300g5.txt
        echo lsdrive $driveId 
        RunSsh "lsdrive $driveId" >>  profile_$1_as5300g5.txt
done
echo "" >> profile_$1_as5300g5.txt


# 6.raid Info
echo "" >> profile_$1_as5300g5.txt
echo "*********************************************" >> profile_$1_as5300g5.txt
echo "********* 6.RAID Info *********" >> profile_$1_as5300g5.txt
echo "*********************************************" >> profile_$1_as5300g5.txt
echo "" >> profile_$1_as5300g5.txt

array=`RunSsh lsarray |grep raid10| cut -d ' ' -f 1`
for mdisk in $array;
do
        echo "--------------" >> profile_$1_as5300g5.txt
        echo lsarray $mdisk
        RunSsh "lsarray $mdisk" >> profile_$1_as5300g5.txt
done
echo "" >> profile_$1_as5300g5.txt


# 7.lun info
echo "" >> profile_$1_as5300g5.txt
echo "*********************************************" >> profile_$1_as5300g5.txt
echo "*********	7.LUN Info *********" >> profile_$1_as5300g5.txt
echo "*********************************************" >> profile_$1_as5300g5.txt
echo "" >> profile_$1_as5300g5.txt

echo "--------- LUN List ---------" >> profile_$1_as5300g5.txt
RunSsh lsvdisk  >> profile_$1_as5300g5.txt
echo "" >> profile_$1_as5300g5.txt

echo "--------- LUN Details ---------" >> profile_$1_as5300g5.txt
vdisk=`RunSsh lsvdisk |grep io_grp| cut -d ' ' -f 1`
for lun in $vdisk;
do
        echo "--------------"  >> profile_$1_as5300g5.txt
        echo lsvdisk $lun
        RunSsh "lsvdisk $lun" >> profile_$1_as5300g5.txt
done
echo "" >> profile_$1_as5300g5.txt

#8.Enclosure information witch psu ,fan,battery
echo "" >> profile_$1_as5300g5.txt
echo "*********************************************" >> profile_$1_as5300g5.txt
echo "********* 8.Enclosure Information *********" >> profile_$1_as5300g5.txt
echo "*********************************************" >> profile_$1_as5300g5.txt

echo "--------- PSU of Enclosure  ---------" >> profile_$1_as5300g5.txt
RunSsh lsenclosurepsu  >> profile_$1_as5300g5.txt
echo "" >> profile_$1_as5300g5.txt

echo "--------- Battery of Enclosure  ---------" >> profile_$1_as5300g5.txt
RunSsh lsenclosurebattery  >> profile_$1_as5300g5.txt
echo "" >> profile_$1_as5300g5.txt

echo "--------- Battery of Enclosure  ---------" >> profile_$1_as5300g5.txt
RunSsh lssasfabric  >> profile_$1_as5300g5.txt
echo "" >> profile_$1_as5300g5.txt

